import os

characters = [
"日",
"月",
"火",
"水",
"木",
"金",
"土",
"¥",
"€",
"$",
]

for x in range(32):
    characters.append(str(x))

for character in characters:
    # command = "flatpak run org.openscad.OpenSCAD -o ./out/"+character+".stl -D \"stamp(\\\"\\\\U"+format(ord(character), '06x')+"\\\");\" ./v1.scad&"
    #command = "flatpak run org.openscad.OpenSCAD -o ./out/"+character+".stl -D \"stamp(\\\""+character+"\\\");\" ./v1.scad&"
    command = "\'/home/ontake/Apps/OpenSCAD-2024.04.08.ai19002-x86_64.AppImage\' -o ./out/"+character+".stl -D \"stamp(\\\""+character+"\\\");\" ./v1.scad &"
    print(command)
    os.system(command)
